Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP3HeaderFooterGroup Class Reference

`#include <WP3HeaderFooterGroup.h>`

Inheritance diagram for WP3HeaderFooterGroup:

## Public Member Functions
| WP3HeaderFooterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3HeaderFooterGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Member Functions
| WP3HeaderFooterGroup (const WP3HeaderFooterGroup &)
WP3HeaderFooterGroup & | operator= (const WP3HeaderFooterGroup &)

## Private Attributes
unsigned char | m_definition
std::shared_ptr< WP3SubDocument > | m_subDocument

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## ◆ WP3HeaderFooterGroup() [1/2]

WP3HeaderFooterGroup::WP3HeaderFooterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP3HeaderFooterGroup()

WP3HeaderFooterGroup::~WP3HeaderFooterGroup | ( |  | ) |
| override

## ◆ WP3HeaderFooterGroup() [2/2]

WP3HeaderFooterGroup::WP3HeaderFooterGroup | ( | const WP3HeaderFooterGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP3HeaderFooterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| override virtual

Reimplemented from WP3VariableLengthGroup.

## ◆ operator=()

WP3HeaderFooterGroup& WP3HeaderFooterGroup::operator= | ( | const WP3HeaderFooterGroup & |  | ) |
| private

## ◆ parse()

void WP3HeaderFooterGroup::parse | ( | WP3Listener * | listener | ) |
| override virtual

Implements WP3Part.

## Member Data Documentation

## ◆ m_definition

unsigned char WP3HeaderFooterGroup::m_definition
| private

Referenced by _readContents(), and parse().

## ◆ m_subDocument

std::shared_ptr<WP3SubDocument> WP3HeaderFooterGroup::m_subDocument
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3HeaderFooterGroup.h
- WP3HeaderFooterGroup.cpp